filter_common.h File Reference

Filter-specific stuff common for both encoder and decoder. More...

`#include "common.h"`

## Data Structures

struct | lzma_filter_coder
| Both lzma_filter_encoder and lzma_filter_decoder begin with these members. More...

## Typedefs

typedef const lzma_filter_coder *(* | lzma_filter_find) (lzma_vli id)

## Functions

lzma_ret | lzma_raw_coder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter *filters, lzma_filter_find coder_find, bool is_encoder)
uint64_t | lzma_raw_coder_memusage (lzma_filter_find coder_find, const lzma_filter *filters)

## Detailed Description

Filter-specific stuff common for both encoder and decoder.